sync exiv2 0.19-1 from debian/unstable

Bug #502565 reported by Luka Renko on 2010-01-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
exiv2 (Ubuntu)
Undecided
Luka Renko
geeqie (Ubuntu)
Undecided
Luka Renko
gnome-commander (Ubuntu)
Undecided
Unassigned
gpscorrelate (Ubuntu)
Undecided
Unassigned
hugin (Ubuntu)
Undecided
Unassigned
kdebase-runtime (Ubuntu)
Undecided
Unassigned
kdegraphics (Ubuntu)
Undecided
Unassigned
koffice2 (Ubuntu)
Undecided
Unassigned
kphotoalbum (Ubuntu)
Undecided
Unassigned
krename (Ubuntu)
Undecided
Unassigned
libextractor (Ubuntu)
Undecided
Unassigned
merkaartor (Ubuntu)
Undecided
Unassigned
pyexiv2 (Ubuntu)
Undecided
Luka Renko
qtpfsgui (Ubuntu)
Undecided
Unassigned
rawstudio (Ubuntu)
Undecided
Luka Renko
strigi (Ubuntu)
Undecided
Unassigned
ufraw (Ubuntu)
Undecided
Luka Renko

Bug Description

Binary package hint: exiv2

I would like to request sync of exiv2 0.19-1 from Debian unstable.

I have started testing the library transition (libexiv2-5 -> libexiv2-6) for all packages that depend on it in my ppa:
https://launchpad.net/~lure/+archive/staging

I will subscribe ubuntu-archive team when all transition packages are prepared.

Luka Renko (lure) on 2010-01-03
Changed in exiv2 (Ubuntu):
assignee: nobody → Luka Renko (lure)
Luka Renko (lure) on 2010-01-03
Changed in ufraw (Ubuntu):
assignee: nobody → Luka Renko (lure)
Luka Renko (lure) on 2010-01-03
Changed in pyexiv2 (Ubuntu):
assignee: nobody → Luka Renko (lure)
status: New → In Progress
Luka Renko (lure) wrote :

OK, I have done test builds with exiv2 0.19 of all rdepends packages in my PPA. Everything builds fine (just rebuild, no source changes), only pyexiv2 and koffice2 have problem to build with newer exiv2.
I have already mailed pyexiv2 author, if he can help with transition (as he did with exiv2 0.18 transition in jaunty). I will also check koffice2 release plans, but I suspect we will get another upstream release in time for Lucid.

My plan is roughly the following:

1. Officially request sync of exiv2 0.19 from debian

2. Fix build or wait for new upstream release:
- pyexiv2
- koffice2

3. Sync newer version from debian:
- geekie
- libextractor
- rawstudio (ubuntu change now in debian)

4. Merge candidates:
- hugin (major release in debian/experimental)

5. Wait until next KDE 4.4 RC (next week):
- kdegraphics
- kdebase-runtime

6. The rest, upload buildX version to pick new exiv2

Luka Renko (lure) wrote :

koffice2 FTBFS anyhow (seems due to libwv2-dev build-depend), so the build failure is not exiv2 0.19 specific. Will need to resolve FTBFS to get it built for Lucid.

Luka Renko (lure) wrote :

I got confirmation from pyexiv2 developer that he might even release 2.0 release in time for Lucid, but he will also provide patch for 0.1.3 release just in case if we cannot get 2.0 in for Lucid.

I think we are ready to sync exiv2 0.19 from debian/unstable and move with transition.

Jonathan Riddell (jr) wrote :

Getting binaries for lucid...
[Updating] exiv2 (0.18.2-1 [Ubuntu] < 0.19-1 [Debian])
 * Trying to add exiv2...
  - <exiv2_0.19-1.dsc: downloading from http://ftp.debian.org/debian/>
  - <exiv2_0.19.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
  - <exiv2_0.19-1.diff.gz: downloading from http://ftp.debian.org/debian/>

synced, thanks for the effort

Changed in exiv2 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-commander - 1.2.8.4-0ubuntu2

---------------
gnome-commander (1.2.8.4-0ubuntu2) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Tue, 05 Jan 2010 17:14:30 +0100

Changed in gnome-commander (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gpscorrelate - 1.6.0-3build1

---------------
gpscorrelate (1.6.0-3build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Sun, 03 Jan 2010 23:28:05 +0100

Changed in gpscorrelate (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kphotoalbum - 4.1.1-1ubuntu2

---------------
kphotoalbum (4.1.1-1ubuntu2) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Sun, 03 Jan 2010 23:19:23 +0100

Changed in kphotoalbum (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package merkaartor - 0.14+svnfixes~20090912-2build1

---------------
merkaartor (0.14+svnfixes~20090912-2build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Sun, 03 Jan 2010 22:45:01 +0100

Changed in merkaartor (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtpfsgui - 1.9.3-1build1

---------------
qtpfsgui (1.9.3-1build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Sun, 03 Jan 2010 22:35:30 +0100

Changed in qtpfsgui (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufraw - 0.16-1build1

---------------
ufraw (0.16-1build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Sun, 03 Jan 2010 22:25:32 +0100

Changed in ufraw (Ubuntu):
status: New → Fix Released
Luka Renko (lure) on 2010-01-06
Changed in krename (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package strigi - 0.7.0-1build1

---------------
strigi (0.7.0-1build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Sun, 03 Jan 2010 23:43:15 +0100

Changed in strigi (Ubuntu):
status: New → Fix Released
Luka Renko (lure) wrote :

pyexiv2 0.1.3-6 in debian/sid includes patch - sync requested - bug 503990

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libextractor - 0.5.23+dfsg-4build1

---------------
libextractor (0.5.23+dfsg-4build1) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Wed, 06 Jan 2010 22:47:39 +0100

Changed in libextractor (Ubuntu):
status: New → Fix Released
Luka Renko (lure) wrote :

geeqie sync requested - bug 504008

Luka Renko (lure) on 2010-01-06
Changed in rawstudio (Ubuntu):
assignee: nobody → Luka Renko (lure)
status: New → In Progress
Changed in geeqie (Ubuntu):
status: New → In Progress
assignee: nobody → Luka Renko (lure)
Luka Renko (lure) wrote :

rawstudio sync already requested - bug 503289

Luka Renko (lure) on 2010-01-08
Changed in rawstudio (Ubuntu):
status: In Progress → Fix Released
Changed in geeqie (Ubuntu):
status: In Progress → Fix Released
Changed in kdegraphics (Ubuntu):
status: New → In Progress
Luka Renko (lure) wrote :

kdegraphics and kdebase-runtime are being prepared as part of kde 4.4 rc1 upload...

Changed in kdebase-runtime (Ubuntu):
status: New → In Progress
Luka Renko (lure) wrote :

pyexiv2 need manual sync (fake sync) upload.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdebase-runtime - 4:4.3.90-0ubuntu1

---------------
kdebase-runtime (4:4.3.90-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New uptream release candidate:
    - Bump build-depend versions
    - Update .install files
  * Remove kubuntu_08_suggest_soprano_backend_sesame.diff from debian/patches/
    series
  * Build against newest libexiv2 (LP: #502565)

  [ Jonathan Riddell ]
  * Do not set DEB_KDE_LINK_WITH_AS_NEEDED to no, "This should be no
    more needed after r1061445"
  * Remove kubuntu_08_suggest_soprano_backend_sesame.diff, we use virtuoso now
 -- Jonathan Thomas <email address hidden> Wed, 06 Jan 2010 16:42:22 -0500

Changed in kdebase-runtime (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdegraphics - 4:4.3.90-0ubuntu1

---------------
kdegraphics (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update various .install files
  * Build against newest libexiv2 (LP: #502565)
 -- Jonathan Thomas <email address hidden> Wed, 06 Jan 2010 17:18:48 -0500

Changed in kdegraphics (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyexiv2 - 0.1.3-6build1

---------------
pyexiv2 (0.1.3-6build1) lucid; urgency=low

  * Fake sync due to different md5sum of .orig.tar.gz:
    - includes upstream build fix for exiv2 0.19 (LP: #502565)
 -- Luka Renko <email address hidden> Sat, 09 Jan 2010 23:13:03 +0100

Changed in pyexiv2 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hugin - 2009.2.0+dfsg-2ubuntu2

---------------
hugin (2009.2.0+dfsg-2ubuntu2) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)
 -- Luka Renko <email address hidden> Tue, 12 Jan 2010 22:40:03 +0100

Changed in hugin (Ubuntu):
status: New → Fix Released
Jonathan Thomas (echidnaman) wrote :

The koffice2 package has been moved to the koffice source package, at the same time being built against the new exiv.

Changed in koffice2 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers